Bug 999044 - grub2 UEFI PXE boot: not all variables set like pxe_default_server
grub2 UEFI PXE boot: not all variables set like pxe_default_server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 11:17 EDT by Richard Chan
Modified: 2015-02-17 11:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:50:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Chan 2013-08-20 11:17:01 EDT
Description of problem:
GRUB2 UEFI PXE boot does not set variables
pxe_default_server
net_default_ip
net_default_mac
net_default_server
This breaks scripts; UEFI uses net_efinet1_?? etc but it would be better not to have to guess the card name.

Version-Release number of selected component (if applicable):
2.00-23.fc19

How reproducible:
Always

Steps to Reproduce:
1. On TFTP server: grub2-mknetdir --net-directory=/var/lib/tftpboot --subdir=grub2-f19
2. Boot from a UEFI/PXE system
3. Run set at grub prompt

Actual results:
net_default_interface=efinet1
net_default_ip=
net_default_mac=
net_default_server=
pxe_default=server

Expected results:
GRUB2 will fill in the variables net_default_XX, pxe_default_server
E.g.
net_default_interface=efinet1
net_default_ip=192.168.1.160
net_default_mac=11:22:33:44:55:66
net_default_server=192.168.1.6
pxe_default=server=192.168.1.6


Additional info:
The blank variables above are filled in by upstream GRUB2. Upstream does not use fw_path. Full list set by upstream:

net_default_interface=efinet1
net_default_ip=192.168.1.150
net_default_mac=11:22:33:44:55:66
net_default_server=192.168.1.6
net_efinet1_boot_file=BOOTX64.efi
net_efinet1_ip=192.168.1.150
net_efinet1_mac=11:22:33:44:55:66
prefix=(tftp,192.168.1.6)/grub2-gnu
pxe_default_server=192.168.1.6
root=tftp,192.168.1.6

Fedora-19-GRUB2 still works for UEFI/PXE booting as prefix and root are set correctly. core.efi only has efinet and tftp preloaded (i.e. vanilla image created by grub2-mknetdir)
Comment 1 Fedora End Of Life 2015-01-09 14:31:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:50:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.